Subject: [sfc] Two questions regarding draft-ietf-sfc-ioam

From: Greg Mirsky <[email-masked]>
Date: Mon, 24 Sep 2018 14:52:49 -0700

Dear All,
I've read the new WG document and got two questions I'd much appreciate
your consideration and opinions:

   - is it WG's intention to standardize both encapsulations, i.e., as TLV
   and as a message that immediately follows the NSH;
   - in the case of placement of iOAM information after the NSH but ahead
   of the customer data, what happens if an SFF does not support iOAM at all
   or the particular mode? I believe that the most likely, the packet will be
   dropped by the SFF, i.e., the original data packet will be dropped because
   some upstream SFF inserted iOAM data in it. Is that acceptable behavior? Of
   course, to avoid loss of data resulted from the some SFF non-support of
   iOAM the WG can add the requirement that to use iOAM all elements of the
   SFP MUST support iOAM.

Appreciate your comments, thoughts.

Regards,
Greg